<?php

namespace common\logic\Feature\Feature;

use common\logic\AbstractDefinition;

class FeatureDefinition extends AbstractDefinition
{
    public function getEntityFqcn(): string
    {
        return Feature::class;
    }

    public function getFeaturesBase(): array
    {
        return [
            Feature::ALIAS_CONTACT => 'Formulaire de contact',
            Feature::ALIAS_PRODUCT_PRICE_IMPORT => 'Produits : import prix',
            Feature::ALIAS_ONLINE_PAYMENT => 'Paiement en ligne',
            Feature::ALIAS_EXPORT_SHOPPING_CART_LABELS_ADVANCED => "Génération d'étiquettes avec un format spécifique",
            Feature::ALIAS_SETTINGS => 'Système de paramètres'
        ];
    }
}